%define major 4
%define libxpm %mklibname xpm %{major}
%define develxpm %mklibname -d xpm

Name: libxpm
Summary:  X Pixmap Library
Version: 3.5.12
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXpm-%{version}.tar.bz2

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxt-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The xpm package contains the XPM pixmap library for the X Window
System. The XPM library allows applications to display color,
pixmapped images, and is used by many popular X programs.

#-----------------------------------------------------------

%package -n %{libxpm}
Summary:  X Pixmap Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxpm}
The xpm package contains the XPM pixmap library for the X Window
System. The XPM library allows applications to display color,
pixmapped images, and is used by many popular X programs.

%files -n %{libxpm}
%{_libdir}/libXpm.so.%{major}
%{_libdir}/libXpm.so.%{major}.*

#-----------------------------------------------------------

%package -n %{develxpm}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxpm} = %{version}-%{release}
Provides: libxpm-devel = %{version}-%{release}
Provides: xpm-devel = %{version}-%{release}
Obsoletes: %{_lib}xpm-static-devel < 3.5.10-4

%description -n %{develxpm}
Development files for %{name}

%files -n %{develxpm}
%{_bindir}/cxpm
%{_bindir}/sxpm
%{_libdir}/libXpm.so
%{_libdir}/pkgconfig/xpm.pc
%{_includedir}/X11/xpm.h
%{_mandir}/man1/*

#-----------------------------------------------------------

%prep
%setup -q -n libXpm-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Fri Dec 30 2016 luigiwalser <luigiwalser> 3.5.12-1.mga6
+ Revision: 1078671
- 3.5.12

* Mon Feb 01 2016 umeabot <umeabot> 3.5.11-5.mga6
+ Revision: 929867
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.5.11-4.mga5
+ Revision: 740223
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.5.11-3.mga5
+ Revision: 681893
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.5.11-2.mga4
+ Revision: 534482
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 tv <tv> 3.5.11-1.mga4
+ Revision: 477920
- new release

* Thu Aug 22 2013 wally <wally> 3.5.10-4.mga4
+ Revision: 469611
- drop unneeded requires
- drop old Mdv era conflicts/obsoletes
- drop static devel pkg

* Fri Feb 08 2013 luigiwalser <luigiwalser> 3.5.10-3.mga3
+ Revision: 397165
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 3.5.10-2.mga3
+ Revision: 358625
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 3.5.10-1.mga2
+ Revision: 222155
- new release

* Tue Nov 29 2011 colin <colin> 3.5.9-3.mga2
+ Revision: 174149
- Strip .la files

* Sat Jan 08 2011 blino <blino> 3.5.9-2.mga1
+ Revision: 1018
- remove old ldconfig scriptlets
- imported package libxpm

